<?php

namespace Database\Seeders;

use App\Models\Dictionary\District;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class DistrictSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        District::updateOrCreate(['id' => 1],  ['shortname' => 'ЦАО', 'name' => 'Центральный']);
        District::updateOrCreate(['id' => 2],  ['shortname' => 'САО', 'name' => 'Северный']);
        District::updateOrCreate(['id' => 3],  ['shortname' => 'СВАО', 'name' => 'Северо-восточный']);
        District::updateOrCreate(['id' => 4],  ['shortname' => 'ВАО', 'name' => 'Восточный']);
        District::updateOrCreate(['id' => 5],  ['shortname' => 'ЮВАО', 'name' => 'Юго-восточный']);
        District::updateOrCreate(['id' => 6],  ['shortname' => 'ЮАО', 'name' => 'Южный']);
        District::updateOrCreate(['id' => 7],  ['shortname' => 'ЮЗАО', 'name' => 'Юго-западный']);
        District::updateOrCreate(['id' => 8],  ['shortname' => 'ЗАО', 'name' => 'Западный']);
        District::updateOrCreate(['id' => 9],  ['shortname' => 'СЗАО', 'name' => 'Северо-западный']);
        District::updateOrCreate(['id' => 10], ['shortname' => 'ЗелАО', 'name' => 'Зеленоградский']);
        District::updateOrCreate(['id' => 11], ['shortname' => 'НАО', 'name' => 'Новомосковский']);
        District::updateOrCreate(['id' => 12], ['shortname' => 'ТАО', 'name' => 'Троицкий']);
    }
}
